Subject: bug#20025: user in ratpoison doesn't have access to guix by default

From: [email-masked] (Ludovic Courtès)
Date: Sun, 08 Mar 2015 23:09:13 +0100

[email-masked] skribis:

> After booting into Guix I used slim to login into Ratpoison and I run
> there terminal emulator. `guix' wasn't available in current PATH
> settings so user couldn't maintain his profile.
>
> I believe that /run/current-system/profile/bin/ should be added to PATH.

AFAICS it is.

Could it be that the account’s .bash_profile fails to source
/etc/profile, or something like that (info "(bash) Bash Startup Files")?
See /etc/skel/.bash{rc,_profile} as examples.

Thanks,
Ludo’.